Description

Hello,

I follow the link http://theforeman.org/manuals/1.7/index.html#2.Quickstart and i have no problem to install the server on CentOS7

64bits.

Then, i do the provisioning setup without any problem but when I boot PXE my vm it still boot on local mode why i don't have any files

in the directory (/var/lib/tftpboot/boot) and it doesn't create a file with the mac address in the directory (/var/lib/tftpboot/pxelinux.cfg) i

have only a default file.

can you help me please ?

I reinstall the foreman server but i have always the same problem on provisioning my first host.

which logs can I upload to resolve this problem

I remind available for further information

History

#1 - 02/20/2015 08:30 AM - Dominic Cleal

- Status changed from New to Feedback

Check under Infrastructure > Subnets > your subnet, that you have a TFTP Proxy set.  When you create a host or put it into build mode, then

Foreman will request the TFTP smart proxy creates a menu and downloads files for the OS installer.

#2 - 02/26/2015 10:47 AM - david gaist

hello,

thanks for the information. it's resolved my problem. but now i have got an another one question. if i want to deploy 20 hosts how can I do that ? Is

this mandatory to put the mac address all the time or it's possible to boot network the host and choose the version of the OS for example ?

i remain available for further informations

thanks and best regards

#3 - 03/02/2015 04:13 AM - Dominic Cleal

Yes, typically you'd register them all with their MACs.  You might want to look at the Discovery plugin, which after you set it up, your servers boot into

by default and show up in Foreman automatically.  You then select the server in the UI, choose the OS, role and it reboots and builds itself.

Have a look at http://theforeman.org/plugins/foreman_discovery/2.0/ for more information.

#4 - 05/17/2017 10:23 AM - Anonymous

- Status changed from Feedback to Resolved
